:root {
    --body-light-bg-color: #18222B;
    --body-dark-bg-color: #18222B;
    --text-light: #ffffff;
    --text-dark: #18222B;
    --text-black: #000000;
}

html,
body {
    height: 100%;
}

body {
    display: flex;
    align-items: center;
    padding-top: 40px;
    padding-bottom: 40px;
}

.form-signin {
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: auto;
    border: 1px solid rgb(46, 46, 46);
    border-radius: 10px;
    background: rgb(40, 40, 40);
}

.form-signin-wide {
    max-width: 420px;
}

.form-signin .checkbox {
    font-weight: 400;
}

.form-signin .form-floating:focus-within {
    z-index: 2;
}

.form-signin input[type="text"] {
    margin-bottom: -1px;
}

.form-signin input[type="password"] {
    margin-bottom: 10px;
}

/* Adjust text color for form labels */
.form-text {
    color: var(--text-light);
}

/* Light Mode Styling */
html[data-bs-theme="light"] body {
    background-color: var(--body-light-bg-color) !important;
    --bs-bg-body: var(--body-light-bg-color) !important;
}

html[data-bs-theme="dark"] body {
    background-color: var(--body-dark-bg-color) !important;
    --bs-bg-body: var(--body-dark-bg-color) !important;
}

html[data-bs-theme="dark"] .container {
    background: rgb(24, 34, 43) !important;
    --bs-bg-body: rgb(24, 34, 43) !important;
}
